Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - b -

- b : C_block
- b32 : C_block
- back : st_table_entry
- back_alloc : NameEntry
- back_dynamic : BRefNode
- back_num : NameEntry , BRefNode
- back_ref1 : NameEntry
- back_refs : NameEntry
- back_static : BRefNode
- backp : OnigToken
- backref : OnigToken
- backrefed_mem : ScanEnv
- bad_anchor_handler : _syck_parser
- bad_anchors : _syck_parser
- base : rb_encoding_entry , CClassNode , OnigToken , StrNode , QtfrNode , EncloseNode , CallNode , BRefNode , AnchorNode , ConsAltNode , CtypeNode , _Node
- base_block : rb_thread_struct
- base_enc : search_path_bfs_t
- base_encoding : nkf_encoding
- basic : RMatch , RObject , RClass , RFloat , RString , RArray , RRegexp , RHash , RFile , RRational , RComplex , RData , RTypedData , RStruct , RBignum , RVALUE
- bbuffer : RMD160_CTX
- beg : from_utf8_mac_status , _syck_str , OnigCaptureTreeNodeStruct , re_registers , rmatch_offset
- begin : ensure_range
- behavior : OnigSyntaxType
- best_len : OnigMatchArg
- best_s : OnigMatchArg
- best_width : _syck_emitter
- bignum : RVALUE
- binmode : argf
- bins : st_table
- bitcount : _SHA256_CTX , _SHA512_CTX
- bits : DIR
- blkno : DBM
- blkptr : DBM
- block : rb_proc_t , rb_env_t
- block_iseq : rb_control_frame_t
- block_len : rb_digest_metadata_t
- block_trace : global_variable
- blocking_region_buffer : rb_thread_struct
- blockprocval : rb_proc_t
- body : rb_method_definition_struct
- bonus : _syck_parser , _syck_emitter
- bp : rb_control_frame_t
- bref : _Node
- broken_buf : nkf_state_t
- broken_state : nkf_state_t
- bs : CClassNode
- bt_mem_end : ScanEnv , re_pattern_buffer
- bt_mem_start : ScanEnv , re_pattern_buffer
- buf : rb_vm_tag , zstream , StrNode , recvfrom_arg , from_utf8_mac_status , io_internal_struct , input_code
- buf_filled : zstream
- buff : iseq_compile_data_storage
- buffer : bytestring_t , md5_state_s , _syck_emitter , _syck_parser , _SHA256_CTX , _SHA512_CTX , SHA1_CTX , rb_objspace
- buflen : RMD160_CTX
- bufpos : _syck_emitter
- bufsize : _syck_emitter , _syck_parser
- by_name : OnigToken
- byte_array : rb_transcoder
- byte_array_length : rb_transcoder
- byte_len : OnigCaseFoldCodeItem
- byte_pos : pair_t
- bytecode : yaml_instruction